.portfolio {

    background: linear-gradient(135deg, #CA5EFF 0%, #004FDE 100%);
    border-radius: 0px 175px 0px 0px;
    padding-top: 76px;

    &__par {
        font-family: $top-font;
        font-style: normal;
        font-weight: 700;
        font-size: 56px;
        line-height: 64px;
        letter-spacing: 1px;
        color: #FFFFFF;
    }

    &__par2 {
        font-family: $sub-font;
        font-style: normal;
        font-weight: 300;
        font-size: 24px;
        line-height: 32px;
        color: #FFFFFF;
        margin-top: 14px;
    }

    &__link {
        font-family: $sub-font;
        font-style: normal;
        font-weight: 300;
        font-size: 20px;
        line-height: 24px;
        color: #FFFFFF;
        margin-right: 14px;
    }

    &__link-path {
        width: 48px;
        height: 48px;
        border: 1px solid rgba(255, 255, 255, 0.297271);
        border-radius: 50%;
        display: flex;
        justify-content: center;
        align-items: center;
        transition: 0.1s all;
        cursor: pointer;

        &:hover {
            border: 2px solid rgba(255, 255, 255, 0.297271);
        }
    }
}

.grid {
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 30px;  
    position: relative;
    z-index: 3;

    &::before {
        content: url(../img/decor.svg);
        position: absolute;
        top: -70px;
        right: -40px;
        z-index: -1;
    }

    &__item {
        border-radius: 8px;
        padding-top: 24px;
        padding-left: 32px;
        padding-bottom: 32px;
    }

    &__par {
        font-family: $top-font ;
        font-weight: 700;
        font-size: 24px;
        line-height: 32px;
        letter-spacing: 1px;
        color: #FFFFFF;
    }

    &__par2 {
        font-family: $sub-font;
        font-style: normal;
        font-weight: 700;
        font-size: 14px;
        line-height: 24px;
        color: #FFFFFF;
        margin-top: 7px;
        margin-bottom: 215px;
    }

    &__link {
        font-family: $sub-font;
        font-style: normal;
        font-weight: 700;
        font-size: 14px;
        line-height: 24px;
        color: #333333;
        background-color: #FFFFFF;
        padding: 14px 25px;
        box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.0992414);
        border-radius: 24px;
    }

    &__item-1 {
        background-image: url(../img/portfolio-img.png);
    }

    &__item-2 {
        background-image: url(../img/portfolio-img2.png);
    }

    &__item-3 {
        background-image: url(../img/portfolio-img3.png);
    }

    &__item-4 {
        background-image: url(../img/portfolio-img4.png);
    }

    &__item-5 {
        background-image: url(../img/portfolio-img5.png);
    }

    &__item-6 {
        background-image: url(../img/portfolio-img6.png);
    }
}